<?php

namespace interfaces;

interface shelly_transport_i
{
    public function requireModuleEnabled(): void;

    public function requireValidSecretKey(): void;

    public function sendPostRequest(string $endpoint, array $data, ?int $department_id = null): array|object|null;
}
